<?php

declare(strict_types=1);

namespace App\Settings;

use Spatie\LaravelSettings\Settings;

class BlogSettings extends Settings
{
    public int $posts_per_page;

    public bool $allow_comments;

    public string $comment_order;

    public bool $show_views;

    public bool $show_author;

    public string $date_format;

    public bool $close_comments_on_old_posts;

    public int $close_comments_days;

    public static function group(): string
    {
        return 'blog';
    }
}
